colorscheme blue
set background=dark

" ======================= For loading latexSuite tools ======================
" this line is responsible for loading latex-suite when a .tex file is opened.
filetype plugin on

" for automatic indentation specific to LaTeX.
filetype indent on
" ===========================================================================

syntax on

" Note: this ensures /usr/share/ite is searched before $VIMRUNTIME, thus
" /usr/share/ite/syntax/tex.vim is loaded instead of $VIMRUNTIME/syntax/tex.vim.
" (use ":echo &runtimepath" or ":set runtimepath" to check)
set runtimepath-=~/.vim
set runtimepath-=/usr/share/ite
set runtimepath^=~/.vim,/usr/share/ite

autocmd BufNewFile,BufRead *.tex,*.latex,*.sty,*.dtx,*.ltx,*.ctx setf tex

autocmd BufNewFile,BufRead *.tex,*.latex,*.sty,*.dtx,*.ltx,*.ctx
	\ silent! so /usr/share/ite/setup.vim

if exists('s:did_installed_CTeX_Menu')
  finish
endif

let s:did_installed_CTeX_Menu = 1

" Delete some less useful ToolBar buttons to save space
aunmenu ToolBar.Print
aunmenu ToolBar.LoadSesn
aunmenu ToolBar.SaveSesn
aunmenu ToolBar.Help
aunmenu ToolBar.FindHelp

" Note ZLB: 'icon=/usr/share/ite/pixmaps/Empty.xpm' does not work (why?),
"	    thus we have to create symbolic links in $VIMRUNTIME/bitmaps
"am ToolBar.Empty	:<CR>
an ToolBar.-sep100-	<Nop>

tm ToolBar.CTeX		LaTeX 
am ToolBar.CTeX		:call CTeX_CTeX()<CR>

" Note: LaTeX-Suite might change CWD when loading a new buffer via
" xdvik's reverse search. This function sets CWD to the directory of the
" main file.
fun <SID>CTeX_chdir()
    if expand("#1:h") != ""
	exec 'cd ' . expand("#1:h")
    endif
endfun

tm ToolBar.XDvi		DVI Ԥ
am ToolBar.XDvi		:silent! call CTeX_ViewDVI()<CR>
fun CTeX_CTeX()
    wall
    call <SID>CTeX_chdir()
    " We have to use '!cmd' for user interactions
    !env VTEX_CMD=$VTEX_CTEXCMD VTEX_OPTS=$VTEX_OPTS vtex #1
endfun
fun CTeX_ViewDVI()
    call <SID>CTeX_chdir()
    let cmd = "env VTEX_CMD=\"kdvi-wrapper\" XEDITOR=vtex VTEX_NAME="
    let cmd = cmd . $VTEX_NAME . " vtex " . expand("#1<") . " &"
    let dummy = system(cmd)
endfun

tm ToolBar.Search	DVI 
am ToolBar.Search	:silent! call CTeX_ForwardSearch()<CR>
fun CTeX_ForwardSearch()
    call <SID>CTeX_chdir()
    let cmd = "env VTEX_CMD=\"kdvi-wrapper\" XEDITOR=vtex VTEX_NAME="
    let cmd = cmd . $VTEX_NAME . " vtex \"file:"
    let cmd = cmd .  expand("#1<") .  "#src:" .  line(".")
    let cmd = cmd . " " . bufname("%") .  "\" &"
    let dummy = system(cmd)
endfun

tm ToolBar.Quick	TeX  + DVI Ԥ
am ToolBar.Quick	:call CTeX_QuickBuild()<CR>
fun CTeX_QuickBuild()
    call CTeX_CTeX()
    call CTeX_ViewDVI()
endfun

"am ToolBar.Empty1 :<CR>
an ToolBar.-sep101-	<Nop>

tm ToolBar.Log		鿴 .log ļ
am ToolBar.Log		:edit! #1<.log<CR>

tm ToolBar.Clean	ʱļ (ctextemp_*.*)
am ToolBar.Clean	:call CTeX_Clean()<CR>
fun CTeX_Clean()
    call <SID>CTeX_chdir()
    let dummy = strpart(input("ʱļ ctextemp_*.* (y/n) ? "), 0, 1)
    if dummy ==? "y"
	let dummy = system("sh -c 'ctex -clean 2>&1'")
    else
	let dummy = "cancelled!"
    endif
    echo dummy
endfun

tm ToolBar.Master	ĵ
am ToolBar.Master 	:silent! buffer 1<CR>

tm ToolBar.Spell	Ӣƴд
am ToolBar.Spell	:call CTeX_Spell()<CR>
fun CTeX_Spell()
    update
    so `/usr/share/ite/spell.sh %`
endfun

" TODO: QuickFix/TeX support
compiler tex
let &makeprg='ctex ' . $VTEX_OPTS . ' -interaction=nonstopmode '. expand("#1")
